Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Ssbev

    java.lang.Object
      org.netlib.lapack.Ssbev

    public class Ssbev

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSBEV computes all the eigenvalues and, optionally, eigenvectors of
     *  a real symmetric band matrix A.
     *
     *  Arguments
     *  =========
     *
     *  JOBZ    (input) CHARACTER*1
     *          = 'N':  Compute eigenvalues only;
     *          = 'V':  Compute eigenvalues and eigenvectors.
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  KD      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'.  KD >= 0.
     *
     *  AB      (input/output) REAL array, dimension (LDAB, N)
     *          On entry, the upper or lower triangle of the symmetric band
     *          matrix A, stored in the first KD+1 rows of the array.  The
     *          j-th column of A is stored in the j-th column of the array AB
     *          as follows:
     *          if UPLO = 'U', AB(kd+1+i-j,j) = A(i,j) for max(1,j-kd)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+kd).
     *
     *          On exit, AB is overwritten by values generated during the
     *          reduction to tridiagonal form.  If UPLO = 'U', the first
     *          superdiagonal and the diagonal of the tridiagonal matrix T
     *          are returned in rows KD and KD+1 of AB, and if UPLO = 'L',
     *          the diagonal and first subdiagonal of T are returned in the
     *          first two rows of AB.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KD + 1.
     *
     *  W       (output) REAL array, dimension (N)
     *          If INFO = 0, the eigenvalues in ascending order.
     *
     *  Z       (output) REAL array, dimension (LDZ, N)
     *          If JOBZ = 'V', then if INFO = 0, Z contains the orthonormal
     *          eigenvectors of the matrix A, with the i-th column of Z
     *          holding the eigenvector associated with W(i).
     *          If JOBZ = 'N', then Z is not referenced.
     *
     *  LDZ     (input) INTEGER
     *          The leading dimension of the array Z.  LDZ >= 1, and if
     *          JOBZ = 'V', LDZ >= max(1,N).
     *
     *  WORK    (workspace) REAL array, dimension (max(1,3*N-2))
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  if INFO = i, the algorithm failed to converge; i
     *                off-diagonal elements of an intermediate tridiagonal
     *                form did not converge to zero.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Ssbev()`

Method Summary
`static void` | `ssbev(java.lang.String jobz, java.lang.String uplo, int n, int kd, float[] ab, int _ab_offset, int ldab, float[] w, int _w_offset, float[] z, int _z_offset, int ldz, float[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ssbev

    public Ssbev()

Method Detail

### ssbev

    public static void ssbev(java.lang.String jobz,
                             java.lang.String uplo,
                             int n,
                             int kd,
                             float[] ab,
                             int _ab_offset,
                             int ldab,
                             float[] w,
                             int _w_offset,
                             float[] z,
                             int _z_offset,
                             int ldz,
                             float[] work,
                             int _work_offset,
                             intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD